#define CATCH_CONFIG_MAIN
#include <catch2/catch.hpp>
#include "spatial_grid.hpp"


TEST_CASE("metadata", "[spatial_grid]")
{
   SpatialGrid<int> grid(2, 1, 10, 20);
   REQUIRE(grid.start_x() == 0);
   REQUIRE(grid.start_y() == 0);
   REQUIRE(grid.size_x() == (10 / grid.spacing));
   REQUIRE(grid.size_y() == (20 / grid.spacing));
}